:root{
    --header-background-color:radial-gradient(#2d2d2d,black);
    --particle-background-color:radial-gradient(green,cyan);
}
html, body{
    min-height:100%;
}
/* width */
::-webkit-scrollbar {
    width: 10px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #2d2d2d; 
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: gray; 
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: darkcyan; 
  }
@keyframes spin{
    0%{
        transform: rotate(0deg) translateY(0%) translateX(-50%);
    }
    25%{
        transform: rotate(90deg) translateY(25%) translateX(2000%);
    }
    50%{
        transform: rotate(180deg) translateY(0%) translateX(1000%);
    }
    75%{
        transform: rotate(270deg) translateY(25%) translateX(500%);
    }
    100%{
        transform: rotate(360deg) translateY(0%) translateX(-50%);
    }
}
/*****************************************/
@import url('https://fonts.googleapis.com/css?family=Exo:400,700');
.area{
    background:  radial-gradient(#02886d,darkcyan); 
    background: -webkit-linear-gradient(to left, #8f94fb, #4e54c8);  
    width: 100%;
    height:100vh;
}

.circles{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.circles li{
    position: absolute;
    display: block;
    list-style: none;
    width: 20px;
    height: 20px;
    background: rgba(255, 255, 255, 0.2);
    animation: animate 25s linear infinite;
    bottom: -150px;
    
}

.circles li:nth-child(1){
    left: 25%;
    width: 80px;
    height: 80px;
    animation-delay: 0s;
}


.circles li:nth-child(2){
    left: 10%;
    width: 20px;
    height: 20px;
    animation-delay: 2s;
    animation-duration: 12s;
}

.circles li:nth-child(3){
    left: 70%;
    width: 20px;
    height: 20px;
    animation-delay: 4s;
}

.circles li:nth-child(4){
    left: 40%;
    width: 60px;
    height: 60px;
    animation-delay: 0s;
    animation-duration: 18s;
}

.circles li:nth-child(5){
    left: 65%;
    width: 20px;
    height: 20px;
    animation-delay: 0s;
}

.circles li:nth-child(6){
    left: 75%;
    width: 110px;
    height: 110px;
    animation-delay: 3s;
}

.circles li:nth-child(7){
    left: 35%;
    width: 150px;
    height: 150px;
    animation-delay: 7s;
}

.circles li:nth-child(8){
    left: 50%;
    width: 25px;
    height: 25px;
    animation-delay: 15s;
    animation-duration: 45s;
}

.circles li:nth-child(9){
    left: 20%;
    width: 15px;
    height: 15px;
    animation-delay: 2s;
    animation-duration: 35s;
}

.circles li:nth-child(10){
    left: 85%;
    width: 150px;
    height: 150px;
    animation-delay: 0s;
    animation-duration: 11s;
}



@keyframes animate {

    0%{
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 0;
    }

    100%{
        transform: translateY(-1000px) rotate(720deg);
        opacity: 0;
        border-radius: 50%;
    }

}

/***************************************/
#siteHead{
    background: var(--header-background-color);
    position:absolute;
    top:0;
    left:0;
    width:100%;
    display:flex;
    flex-direction:row;
    justify-content: center;
    column-gap:1rem;
    height:15%;
    padding:1rem;
    box-shadow:2px 2px 33px 22px rgba(100,100,100,0.7);
    z-index:20;
}
.particles{
    position:absolute;
    top:15%;
    width:100%;
    height:100%;
    overflow:hidden;    
    display:flex;
    flex-direction:row;
    justify-content: space-evenly;
    align-items: center;
    row-gap:1rem;
    z-index:9;
    background: radial-gradient(#2d2d2d,black);
}
.particles > div{
    text-align:center;
    font-weight:bold;
    color:white;
    height:1px;
    padding:1px;
    width:50px;
    border-radius:360px;
    filter:drop-shadow(0px 0px 20px black);
    background: var(--particle-background-color);
    background-repeat: no-repeat;   
    background-size:cover;
    animation:spin 10s infinite linear ;
}


#loginForm{
    position:absolute;
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap:1rem;
    z-index:20;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width:fit-content;
    padding:3em;    
    color:white;
    border-radius:4px;
    background: rgba(0,0,0,0.9);
    border:1px solid darkcyan;
    border-radius:50px;
    filter:drop-shadow( 0px 0px 15px cyan);
}
#loginForm form >div{
    display:flex;
    flex-direction:column;
    row-gap:0.2rem;
    justify-content: center;
    align-items: center;
}
#loginForm form > div >div{
    display:flex;
    flex-direction: column;
    row-gap:0.5rem;
    padding:1rem;
}
#loginForm form>h2{
    text-shadow:0px 0px 10px #009aae;
    letter-spacing:1px;
}
#loginForm form>div>label{
    font-weight:bold;
    letter-spacing:1px;
}
#loginForm form input{
    padding:1rem;
    color:#02cae8;
    font-weight:bold;
}
#user_login_form_Ingresar{
    color:white;
    font-weight: bold;
    letter-spacing: 1px;
    border:none;
    border-radius:4px;
    padding:10px;
    margin:1rem;
    background:radial-gradient(#009aae,darkcyan);
    filter:drop-shadow( 0 0 30px #009aae);
}
#user_login_form_Ingresar:hover{
    transition:.2s;
    color:white;
    background: #02cae8;
    padding:10px;
    filter:drop-shadow( 0 0 30px #02cae8);
}
footer{
    position:absolute;
    bottom:-1%;
    left:0;
    z-index:10;
    height:10rem;
    width:100%;
    background:var(--header-background-color);
    box-shadow:2px 2px 33px 22px rgba(100,100,100,0.7);
    display:flex;
    justify-content:center;
}
footer p{
    display: flex;
    position: absolute;
    bottom: 22%;
    flex-direction: row;
    height: 4rem;
    width: 39rem;
    text-align: center;
    margin: 0 auto;
    color: white;
    align-items: center;
}
.loggedAs >div> a:hover{
    transition:0.2s;
    color:cyan;
    text-shadow:0px 0px 10px white;
}

@media screen and (max-width:2560px) {
    footer p{
        top:20%;
        bottom:0%;
        transform:scale(1);
    }
    .footer{
        height:15rem;
        bottom:-5%;
    }
    #loginForm{
        transform: translate(-50%, -50%) ;
    }
}

@media screen and (max-width:1920px){
    footer p{
        top:25%;
        left:34%;     
    }
 
    #loginForm{
        transform: translate(-50%, -50%) scale(0.9);
    }
}

@media screen and (max-width:1600px){
    footer p{
        left:30%;
    }
    #loginForm{
        top:46%;
        transform: translate(-50%, -50%) scale(0.8);
    }
}

@media screen and (max-width:1440px){
    footer p{
        left:29%;
    }
    #loginForm{
        top:46%;
        transform: translate(-50%, -50%) scale(0.8);
    }
}
@media screen and (max-width:1366px){
    footer p{
        left:29%;
    }
    #loginForm{
        top:46%;
        transform: translate(-50%, -50%);
    }
}
@media screen and (max-width:1024px){
    footer p{
        left:19%;
    }
    #loginForm{
        top:46%;
        transform: translate(-50%, -50%) scale(0.8);
    }
}
@media screen and (max-width:768px){
    footer p{
        left:11%;
    }
    #loginForm{
        top:46%;
        transform: translate(-50%, -50%) scale(0.65);
    }
}
@media screen and (max-width:425px){
    footer p{
        left: 11%;
        width: 21rem;
        bottom: 42%;
        transform:scale(0.8);
    }
}
@media screen and (max-width:375px){
   
    #login form{
        left:48%;
    }
    footer p{
        left: 13%;
        width: 18rem;
        bottom: 48%;
        transform:scale(0.7);
    }
}
@media screen and (max-width:320px){
    #loginForm {
        padding:1rem;
    }
    footer p{
        top:10%;
        left: 6%;
        width: 18rem;
        bottom: 51%;
    }
}
@media screen and (max-height:570px){
    #loginForm{
        top:60vh;
    }
    .area{
        position:relative;
        height:110vh;
    }
    footer{
        position:relative;
        bottom:0;
    }
    footer p{
        left:24vw;
    }
}